X-Cart: shopping cart software

X-Cart forums (https://forum.x-cart.com/index.php)
-   General talk (https://forum.x-cart.com/forumdisplay.php?f=29)
-   -   Upgrade your store (https://forum.x-cart.com/showthread.php?t=38953)

donmck 06-09-2008 10:16 PM

Re: Upgrade your store
 
Quote:

Originally Posted by enge919

This site I have patched is version 4.1.17 (with all security patches)

Server Information:
MySQL = 5.0.45
PHP = 5.2.6
Apache = 2.2.8


always read the entire thread before trying a patch!
This patch is for the 4.0.X branch.
The 4.1.X branch does not need the patch posted in this thread!!!!

Text stolen from HERBJ in a previous message, but the message is still the same.

Cheers Don...

enge919 06-09-2008 11:48 PM

Re: Upgrade your store
 
Sorry, 4.0.17 (4.1.17 is not even available :))

intel352 06-10-2008 02:23 AM

Re: Upgrade your store
 
hi enge919, what results/errors did you have with using the patch?

the patch is provided by Qualiteam, and has worked for many others, so it *should* work for you. the hack isn't constructed as well, i'd personally try to get the patch working instead.

Emerson 06-10-2008 05:09 AM

Re: Upgrade your store
 
Also, did you apply the patch via the admin area or manually?
I have see occasions where you get "already patched" or "patch successful" when in fact the patch was not applied at all.
So you might want to do a manual check on the file to make sure it was in fact patched.

balinor 06-10-2008 05:19 AM

Re: Upgrade your store
 
I've run this patch on a few stores with no noticeable hits on performance, so all in all I'd say a major crisis averted! And the last thing we need is another major crisis! :)

donmck 06-10-2008 01:09 PM

Re: Upgrade your store
 
Quote:

Originally Posted by enge919
Sorry, 4.0.17 (4.1.17 is not even available :))


No worries, mine is 4.0.17 also. I got Qualiteam to do mine, not because I don't know how to do it, but because I wanted some sort of written guarantee that it will work as designed. And if it doesn't, Qualiteam are prepared to make it work.

This message exchange is at:
http://forum.x-cart.com/showpost.php?p=217836&postcount=119

For 40 points, it gave me peace of mind.

Cheers Don...

Emerson 06-11-2008 08:03 AM

Re: Upgrade your store
 
I am actually seeing "ALREADY PATCHED" a lot more when in fact the patch was not applied.

Any of you that have attempted to patch your store and saw "ALREADY PATCHED" should go back and manually check the file to make sure the changes are in fact there.
Chances are you are not patched at all if you got the message "ALREADY PATCHED".

hamid 06-17-2008 12:17 PM

Re: Upgrade your store
 
Thank you for the patch - I'm another user who is really very appreciative for everyones' hard work.

Just a few questions:

1. My host will soon upgrade to mysql 5 and php 5 - is the file "MYSQL5_comp.txt" really all that's needed to make xcart 4.0.x compliant?

2. If I apply this patch before my host upgrades will xcart function still function ok?

3. I was planning on manually patching func.php but I noticed this just now on line 3:

RCS file: /usr/local/cvsroot/eshop/include/Attic/func.php,v

What is the significance of this line? Do I need to bear it in mind when applying the patch.

Many thanks.

balinor 06-17-2008 12:23 PM

Re: Upgrade your store
 
1. Yes
2. No it will break your store if applied before the upgrade
3. Ignore that, it does not have any relevance

hamid 06-17-2008 12:41 PM

Re: Upgrade your store
 
Hey Balinor... wow that was quick!

Thanks for the reply - very helpful indeed


All times are GMT -8. The time now is 08:01 PM.

Powered by vBulletin Version 3.5.4
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.